


SNMPD(8)                                                 SNMPD(8)


NAME
       snmpd - cmu's snmp agent for Linux

SYNOPSIS
       snmpd  [-p  <port>]  [-v]  [-d] [-f] [-c <configfile>] [-a
       <agentboots>]

DESCRIPTION
       Snmpd should be run as a daemon in background. It is serv-
       ing  to  your  pleasure  and  answering snmp V1 and V2usec
       requests.
       Upon startup /etc/snmpd.conf is read (if it exists).
       Successful set-requests of system.sysName, system.sysLoca-
       tion  and  system.sysContact are stored in snmpd.conf(5) ,
       if this files exists.
       With the default configuration the daemon answers  all  V1
       requests  with the ``public'' community string, except for
       host.hrSWRun* requests, for security reasons and the  con-
       figured V2usec requests.

OPTIONS
       -v     Be verbose upon startup.

       -d     Dump  snmp-packets  to stdout. Useful for debugging
              only.

       -f     Fork  away  and  run  in  background.  This  option
              launches  a  snmpd  demon running in the background
              and lets the command return immedeately.  You would
              normally  use this at bootime, eg. in /etc/rc.local
              as
                     /usr/sbin/snmpd -f  ;  echo 'snmpd'

       -c <configfile>
              complete filename of the snmpd configuration  file.
              The default is /etc/snmpd.conf .

       -a <agentinfo>
              complete filename of the snmpd's agentinfo file. it
              contains the numer of agentboots.  The  default  is
              /etc/snmpd.agentinfo .

ENVORONMENT
       MIBFILE  -  complete filename of mib.txt (this defaults to
       /usr/lib/mib.txt and a /etc/mib.txt is also found).

FILES
       /etc/snmpd.conf - configuration file of the agent
       /etc/snmpd.agentinfo - storage file for agent reboot info
       /usr/lib/mib.txt - MIB database

SEE ALSO
       snmpd.conf(5), variables(5)


BUGS
       Setting routing entries does not work (the  cmu-code  hits
       you hard).

AUTHOR
       Changes   and  add-on's  for  the  Linux  port,  the  host
       resources enhancement and ident enhancement are  added  by
       Erik  Schoenfelder  (schoenfr@gaertner.de), the Linux MIB,
       many ideas, suggestions and help by Juergen  Schoenwaelder
       (schoenw@cs.utwente.nl).

