#ifndef __SNMP_USEC_H
#define __SNMP_USEC_H

#define SNMP_USEC_MODEL        1
#define SNMP_MESSAGE_LIFETIME  150

#define USEC_QOS_AUTH          1
#define USEC_QOS_PRIV          2
#define USEC_QOS_AUTHPRIV      3
#define USEC_QOS_GENREPORT     4
#define USEC_QOS_NOAUTH_NOPRIV 0

#define SNMP_STAT_PACKETS                   0
#define SNMP_STAT_ENCODING_ERRORS           1
#define USEC_STAT_UNSUPPORTED_QOS           2
#define USEC_STAT_NOT_IN_WINDOWS            3
#define USEC_STAT_UNKNOWN_USERNAMES         4
#define USEC_STAT_WRONG_DIGEST_VALUES       5
#define USEC_STAT_UNKNOWN_CONTEXT_SELECTORS 6
#define USEC_STAT_BAD_PARAMETERS            7
#define USEC_STAT_UNAUTHORIZED_OPERATIONS   8
#define SNMP_STAT_BAD_OPERATIONS            9
#define SNMP_STAT_PROXY_DROPS               10
#define SNMP_STAT_SILENT_DROPS              11
#define SNMP_STAT_V1_BAD_COMMUNITY_NAMES    12
#define SNMP_STAT_V1_BAD_COMMUNITY_USES     13

#define SNMP_LAST_STAT SNMP_STAT_V1_BAD_COMMUNITY_USES

#endif
