


SNMPSET(1)                                             SNMPSET(1)


NAME
       snmpset  -  communicates  with a network entity using SNMP
       SET Requests.

SYNOPSIS
       snmpset [-p port] [-d] [-r retries] [-t timeout]  hostname
       community objectID type value [objectID type value]...

DESCRIPTION
       Snmpset  is  an SNMP application that uses the SET Request
       to set information on a network entity.  One or more fully
       qualified object identifiers must be given as arguments on
       the command line.  A type and a value to set  must  accom-
       pany  each object identifier.  Each variable name is given
       in the format specified in variables(5).

       The hostname specification may be either a host name or an
       internet address specified in "dot notation".

       The type is a single character, one of:
              i  INTEGER
              s  STRING
              x  HEX STRING
              d  DECIMAL STRING
              n  NULLOBJ
              o  OBJID
              t  TIMETICKS
              a  IPADDRESS

       For example

       snmpset  test-hub  zeusMS  zeusAgent system.sysContact.0 s
       dpz@noc.rutgers.edu ip.ipforwarding.0 i 2

       will set the variables sysContact.0 and ipforwarding.0:

       system.sysContact.0 = dpz@noc.rutgers.edu
       ip.ipForwarding.0 = not-forwarding(2)

       If the network entity has an error processing the  request
       packet,  an  error  packet  will be returned and a message
       will be shown, helping to pinpoint in what way the request
       was  malformed.   If  there  were  other  variables in the
       request, the request will be resent without the bad  vari-
       able.

       Adding a "-d" to the argument list will cause the applica-
       tion to dump input and output packets.


BUGS
       To be encountered...


SEE ALSO
       variables(5), RFC 1155, RFC 1156, RFC 1157, SNMP  Security
       Internet Drafts
