


VARIABLES(5)                                         VARIABLES(5)


NAME
           variables  -  Format  of  specifying variable names to
       CMU-SNMP tools.

SYNOPSIS
           system.sysdescr.0

DESCRIPTION
       Variable names are in the  format  of  Object  Identifiers
       (ASN.1).   There  are  several  methods of representation.
       Each variable name is given in the format of A.B.C.D.E...,
       where  A,  B,  C,  and  D are subidentifiers in one of two
       forms of notation.  Each subidentifier may be encoded as a
       decimal  integer, or a symbol as found in the RFC1066 MIB.
       The case of the symbols is not significant.
       If there is no leading "." in the variable name, the  name
       will   be   formed   as   if  having  been  preceded  with
       "iso.org.dod.internet.mgmt.mib.".  A "."  must  be  placed
       before  the first variable if the user is to fully specify
       the name.  For example:

       1.1.0 system.sysDescr.0 and 1.sysDescr.0

       all refer to the same variable name.  Likewise:

       .1.3.6.1.2.1.1.1.0     .iso.org.dod.internet.mgmt.mib.sys-
       tem.sysdescr.0 .1.3.6.1.2.1.1.sysdescr.0

       All refer to the same variable name.

       The  description of the variables in the MIB is given in a
       file named mib.txt in the current directory or in  a  file
       named  in  the environment variable MIBFILE or in the com-
       piled  in  default  /usr/lib/mib.txt   or   the   fallback
       /etc/mib.txt  .   These  files  are  searched in the above
       order.  The files are in the ASN.1 notation  and  use  the
       OBJECT  TYPE  macro defined in RFC 1065.  Most of the file
       describing the RFC 1066 MIB is  pulled  out  of  RFC  1066
       without change.

SEE ALSO
       RFC 1065, RFC 1066, RFC 1067, ISO IS 8824(ASN.1)

BUGS
       The  parser  of the mib.txt file is not expected to handle
       bizarre (although correct) interpretations  of  the  ASN.1
       notation.










                        17 September 1989                       1


